在 OpenMediaVault 上安裝 Deluge 的步驟

在 OpenMediaVault 上安裝 Deluge 並設定開機自動執行

由於 Transmissiion 和 Aria2 無法順利於 OpenMediaVault 上執行的關係,因此糊塗流浪貓決定改用 Deluge 來下載 BT 。以下將教各位在 OpenMediaVault 或其他 Linux 系統上安裝 Deluge 並讓它能開機自動執行的方法。注意 Deluge 1.3.3 以下的版本無法使用磁力連結 (Magnet),請安裝 1.3.4 以上的版本來解決這個問題。翠近平

 

 

增加與更新套件來源

vim /etc/apt/sources.list
deb http://ftp.de.debian.org/debian jessie main
apt-get update
apt-get upgrade

 

 

安裝Deluge

apt-get install deluged
apt-get install python-mako
apt-get install deluge-web
apt-get install deluge-console

 

 

啟動Deluge網路介面

deluge-web

 

打開瀏覽器,輸入伺服器位置IP,預設連接埠為 8112;密碼為deluge

192.168.1.*:8112 

 

於Connection Manager新增一個新的連接主機,指向Deluge的伺服器。當訊息顯示為成功連接時即可。Daemon port 預設為58846,您可以自行修改,別忘記到路由器開放對應的埠口。

 

 

讓 Deluge 開機自動執行

參考 Deluge 官方說明文件 用 vim 建立 deluge-daemon 檔案,輸入以下內容並填上使用者名稱。

vim /etc/default/deluge-daemon
###############################################################
# Configuration for /etc/init.d/deluge-daemon
# The init.d script will only run if this variable non-empty.
DELUGED_USER=""             #使用者
# Should we run at startup?
RUN_AT_STARTUP="YES"
###############################################################

 

 

於 init.d 建立 deluge-daemon,並輸入以下腳本內容

vim /etc/init.d/deluge-daemon
###############################################################
#!/bin/sh
### BEGIN INIT INFO
# Provides:          deluge-daemon
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Should-Start:      $network
# Should-Stop:       $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description:       Starts the deluge daemon with the user specified in
#                    /etc/default/deluge-daemon.
### END INIT INFO
# Author: Adolfo R. Brandes
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="Deluge Daemon"
NAME1="deluged"
NAME2="deluge"
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS="-d"             # Consult man deluged for more options
DAEMON2=/usr/bin/deluge-web
DAEMON2_ARGS=""               # Consult man deluge-web for more options
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
UMASK=022                     # Change this to 0 if running deluged as its own user
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME

# Exit if the package is not installed
[ -x 「$DAEMON1〞 -a -x 「$DAEMON2〞 ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

if [ -z 「$RUN_AT_STARTUP" -o 「$RUN_AT_STARTUP" != 「YES" ]
then
   log_warning_msg 「Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
   exit 0
fi

if [ -z 「$DELUGED_USER" ]
then
    log_warning_msg 「Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
    exit 0
fi

#
# Function that starts the daemon/service
#
do_start()
{
   # Return
   #   0 if daemon has been started
   #   1 if daemon was already running
   #   2 if daemon could not be started
   start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –exec $DAEMON1 \
      –chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK –test > /dev/null
   RETVAL1="$?"
   start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –exec $DAEMON2 \
      –chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK –test > /dev/null
   RETVAL2="$?"
   [ 「$RETVAL1〞 = 「0〞 -a 「$RETVAL2〞 = 「0〞 ] || return 1

   start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –make-pidfile –exec $DAEMON1 \
      –chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK — $DAEMON1_ARGS
   RETVAL1="$?"
        sleep 2
   start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –make-pidfile –exec $DAEMON2 \
      –chuid $DELUGED_USER –user $DELUGED_USER –umask $UMASK — $DAEMON2_ARGS
   RETVAL2="$?"
   [ 「$RETVAL1〞 = 「0〞 -a 「$RETVAL2〞 = 「0〞 ] || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
   # Return
   #   0 if daemon has been stopped
   #   1 if daemon was already stopped
   #   2 if daemon could not be stopped
   #   other if a failure occurred

   start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE2
   RETVAL2="$?"
   start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE1
   RETVAL1="$?"
   [ 「$RETVAL1〞 = 「2〞 -o 「$RETVAL2〞 = 「2〞 ] && return 2

   rm -f $PIDFILE1 $PIDFILE2

   [ 「$RETVAL1〞 = 「0〞 -a 「$RETVAL2〞 = 「0〞 ] && return 0 || return 1
}

case 「$1〞 in
  start)
   [ 「$VERBOSE" != no ] && log_daemon_msg 「Starting $DESC" 「$NAME1〞
   do_start
   case 「$?" in
      0|1) [ 「$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ 「$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  stop)
   [ 「$VERBOSE" != no ] && log_daemon_msg 「Stopping $DESC" 「$NAME1〞
   do_stop
   case 「$?" in
      0|1) [ 「$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ 「$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  restart|force-reload)
   log_daemon_msg 「Restarting $DESC" 「$NAME1〞
   do_stop
   case 「$?" in
     0|1)
      do_start
      case 「$?" in
         0) log_end_msg 0 ;;
         1) log_end_msg 1 ;; # Old process is still running
         *) log_end_msg 1 ;; # Failed to start
      esac
      ;;
     *)
        # Failed to stop
      log_end_msg 1
      ;;
   esac
   ;;
  *)
   echo 「Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
   exit 3
   ;;
esac

:

###############################################################

 

啟動 Deluge

修改 deluge-daemon 的使用者權限後即可執行。

chmod 755 /etc/init.d/deluge-daemon
update-rc.d deluge-daemon defaults
invoke-rc.d deluge-daemon start

 

 

延伸閱讀

OpenMediaVault - 用 Samba 分享 NAS 中的資料與權限設定

更多 Linux 教學

 

 

留言